Mailinglist Archive: opensuse-updates (161 mails)

< Previous Next >
openSUSE-RU-2019:0177-1: moderate: Recommended update for trustedgrub2
openSUSE Recommended Update: Recommended update for trustedgrub2
______________________________________________________________________________

Announcement ID: openSUSE-RU-2019:0177-1
Rating: moderate
References: #1052420 #1084632 #1100984
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update for trustedgrub2 provides the following fixes:

- Fix "no symbol table" error on new binutils. (bsc#1100984)
- Fix packed-not-aligned error on GCC 8. (bsc#1084632)
- Allow to execute menuentry unrestricted as default. (fate#318574,
bsc#1052420)
- Disable PIE building, as it does not make sense for bootloader.

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-177=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

trustedgrub2-1.4.0-4.3.1

- openSUSE Leap 42.3 (noarch):

trustedgrub2-i386-pc-1.4.0-4.3.1


References:

https://bugzilla.suse.com/1052420
https://bugzilla.suse.com/1084632
https://bugzilla.suse.com/1100984


< Previous Next >
This Thread
  • No further messages